Bug 119904 - rearrange x11-toolkits/qwt* ports
Summary: rearrange x11-toolkits/qwt* ports
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Rong-En Fan
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-01-22 21:30 UTC by Max Brazhnikov
Modified: 2008-04-02 10:20 UTC (History)
0 users

See Also:


Attachments
file.diff (15.01 KB, patch)
2008-01-22 21:30 UTC, Max Brazhnikov
no flags Details | Diff
bacula-bat.diff (670 bytes, patch)
2008-03-16 09:53 UTC, Max Brazhnikov
no flags Details | Diff
bacula-server.diff (468 bytes, patch)
2008-03-16 09:53 UTC, Max Brazhnikov
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Max Brazhnikov 2008-01-22 21:30:00 UTC
Resolve conflict between qwt and qwt-devel ports:
move x11-toolkits/qwt to x11-toolkits/qwt4 and rename the library to libqwt4, take maintainership.
move x11-toolkits/qwt-devel to x11-toolkits/qwt5.

Ports depending on qwt5:
math/qtiplot, sysutils/bacula-bat, sysutils/bacula-server.

audio/dream - the only port which depends on qwt4 - is currently broken. It requires audio/faad to be compiled with drm support.

Fix: Patch attached with submission follows:
Comment 1 Max Brazhnikov 2008-03-16 09:53:38 UTC
chase bacula update
Comment 2 Rong-En Fan freebsd_committer 2008-03-31 10:32:30 UTC
Responsible Changed
From-To: freebsd-ports-bugs->rafan

I'll take it.
Comment 3 Rong-En Fan freebsd_committer 2008-03-31 10:34:50 UTC
State Changed
From-To: open->repocopy

Please do the following repocopies: 

x11-toolkits/qwt -> x11-toolkits/qwt4 
x11-toolkits/qwt-devel -> x11-toolkits/qwt5 



Comment 4 Rong-En Fan freebsd_committer 2008-03-31 10:34:50 UTC
Responsible Changed
From-To: rafan->portmgr

Please do the following repocopies: 

x11-toolkits/qwt -> x11-toolkits/qwt4 
x11-toolkits/qwt-devel -> x11-toolkits/qwt5
Comment 5 Joe Marcus Clarke freebsd_committer 2008-04-02 06:28:01 UTC
State Changed
From-To: repocopy->open

Repocopies complete. 


Comment 6 Joe Marcus Clarke freebsd_committer 2008-04-02 06:28:01 UTC
Responsible Changed
From-To: portmgr->rafan

Repocopies complete.
Comment 7 dfilter service freebsd_committer 2008-04-02 10:00:03 UTC
rafan       2008-04-02 08:59:59 UTC

  FreeBSD ports repository

  Modified files:
    x11-toolkits/qwt4    Makefile distinfo pkg-descr pkg-plist 
    x11-toolkits/qwt5    Makefile distinfo pkg-descr pkg-plist 
    x11-toolkits/qwt5/files Makefile.man 
  Log:
  Force commit to note the following repo-copies:
  
  x11-toolkits/qwt -> x11-toolkits/qwt4
  x11-toolkits/qwt-devel -> x11-toolkits/qwt5
  
  PR:             ports/119904
  
  Revision  Changes    Path
  1.15      +0 -0      ports/x11-toolkits/qwt4/Makefile
  1.6       +0 -0      ports/x11-toolkits/qwt4/distinfo
  1.2       +0 -0      ports/x11-toolkits/qwt4/pkg-descr
  1.6       +0 -0      ports/x11-toolkits/qwt4/pkg-plist
  1.8       +0 -0      ports/x11-toolkits/qwt5/Makefile
  1.5       +0 -0      ports/x11-toolkits/qwt5/distinfo
  1.2       +0 -0      ports/x11-toolkits/qwt5/files/Makefile.man
  1.2       +0 -0      ports/x11-toolkits/qwt5/pkg-descr
  1.5       +0 -0      ports/x11-toolkits/qwt5/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 8 dfilter service freebsd_committer 2008-04-02 10:06:39 UTC
rafan       2008-04-02 09:06:34 UTC

  FreeBSD ports repository

  Modified files:
    x11-toolkits/qwt4    Makefile pkg-descr pkg-plist 
    x11-toolkits/qwt5    Makefile pkg-descr 
  Added files:
    x11-toolkits/qwt4/files Makefile.man patch-qwt.pro 
  Log:
  - Resolve conflict between qwt 4.x and 5.x by rename libqwt to libqwt4
  - Pass maintainership for x11-toolkits/qwt4
  - Rename x11-toolkits/qwt to x11-toolkits/qwt4, x11-toolkits/qwt-devel to
    x11-toolkits/qwt5
  
  PR:             ports/119904
  Submitted by:   Max Brazhnikov <makc at issp.ac.ru> (maintainer of x11-toolkits/qwt5)
  
  Revision  Changes    Path
  1.16      +30 -85    ports/x11-toolkits/qwt4/Makefile
  1.1       +66 -0     ports/x11-toolkits/qwt4/files/Makefile.man (new)
  1.1       +11 -0     ports/x11-toolkits/qwt4/files/patch-qwt.pro (new)
  1.3       +5 -6      ports/x11-toolkits/qwt4/pkg-descr
  1.7       +53 -53    ports/x11-toolkits/qwt4/pkg-plist
  1.9       +3 -6      ports/x11-toolkits/qwt5/Makefile
  1.3       +6 -5      ports/x11-toolkits/qwt5/pkg-descr
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 9 dfilter service freebsd_committer 2008-04-02 10:10:02 UTC
rafan       2008-04-02 09:09:58 UTC

  FreeBSD ports repository

  Modified files:
    sysutils/bacula-bat  Makefile 
    sysutils/bacula-server Makefile 
    audio/dream          Makefile 
  Log:
  - Chase x11-toolkits/qwt* rename
  
  PR:             ports/119904
  Submitted by:   Max Brazhnikov <makc at issp.ac.ru> (maintainer of x11-toolkits/qwt*)
  
  Revision  Changes    Path
  1.10      +4 -3      ports/audio/dream/Makefile
  1.4       +1 -1      ports/sysutils/bacula-bat/Makefile
  1.102     +1 -0      ports/sysutils/bacula-server/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 10 dfilter service freebsd_committer 2008-04-02 10:11:19 UTC
rafan       2008-04-02 09:10:53 UTC

  FreeBSD ports repository

  Modified files:
    x11-toolkits         Makefile 
  Log:
  - qwt -> qwt4
  - qwt-devel -> qwt5
  
  PR:             ports/119904
  Submitted by:   Max Brazhnikov <makc at issp.ac.ru> (maintainer of x11-toolkits/qwt*)
  
  Revision  Changes    Path
  1.473     +2 -2      ports/x11-toolkits/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 11 dfilter service freebsd_committer 2008-04-02 10:12:22 UTC
rafan       2008-04-02 09:12:18 UTC

  FreeBSD ports repository

  Modified files:
    .                    MOVED 
  Log:
  - x11-toolkits/qwt* rename
  
  PR:             ports/119904
  Submitted by:   Max Brazhnikov <makc at issp.ac.ru> (maintainer of x11-toolkits\
  /qwt*)
  
  Revision  Changes    Path
  1.1567    +3 -1      ports/MOVED
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 12 dfilter service freebsd_committer 2008-04-02 10:13:16 UTC
rafan       2008-04-02 09:13:11 UTC

  FreeBSD ports repository

  Modified files:
    .                    modules 
  Log:
  - x11-toolkits/qwt* rename
  
  PR:             ports/119904
  Submitted by:   Max Brazhnikov <makc at issp.ac.ru> (maintainer of x11-toolkits\
  /qwt*)
  
  Revision  Changes    Path
  1.19582   +2 -2      CVSROOT/modules
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 13 dfilter service freebsd_committer 2008-04-02 10:15:13 UTC
rafan       2008-04-02 09:14:59 UTC

  FreeBSD ports repository

  Removed files:
    x11-toolkits/qwt     Makefile distinfo pkg-descr pkg-plist 
    x11-toolkits/qwt-devel Makefile distinfo pkg-descr pkg-plist 
    x11-toolkits/qwt-devel/files Makefile.man 
  Log:
  - These two ports are renamed for better naming, remove old ones:
  
    qwt -> qwt4, qwt-devel -> qwt5
  
  PR:             ports/119904
  Submitted by:   Max Brazhnikov <makc at issp.ac.ru> (maintainer of x11-toolkits/qwt*)
  
  Revision  Changes    Path
  1.8       +0 -80     ports/x11-toolkits/qwt-devel/Makefile (dead)
  1.5       +0 -3      ports/x11-toolkits/qwt-devel/distinfo (dead)
  1.2       +0 -83     ports/x11-toolkits/qwt-devel/files/Makefile.man (dead)
  1.2       +0 -7      ports/x11-toolkits/qwt-devel/pkg-descr (dead)
  1.5       +0 -907    ports/x11-toolkits/qwt-devel/pkg-plist (dead)
  1.15      +0 -111    ports/x11-toolkits/qwt/Makefile (dead)
  1.6       +0 -3      ports/x11-toolkits/qwt/distinfo (dead)
  1.2       +0 -7      ports/x11-toolkits/qwt/pkg-descr (dead)
  1.6       +0 -53     ports/x11-toolkits/qwt/pkg-plist (dead)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 14 Rong-En Fan freebsd_committer 2008-04-02 10:15:20 UTC
State Changed
From-To: open->closed

Committed. Thanks!